diff -Naur shadow-4.14.5/etc/pam.d/Makefile.am shadow-4.14.5.new/etc/pam.d/Makefile.am
--- shadow-4.14.5/etc/pam.d/Makefile.am	2024-02-13 18:47:33.000000000 +0100
+++ shadow-4.14.5.new/etc/pam.d/Makefile.am	2024-02-16 16:33:32.086048686 +0100
@@ -3,10 +3,7 @@
 
 pamd_files = \
 	chpasswd \
-	chfn \
-	chsh \
 	groupmems \
-	login \
 	newusers \
 	passwd
 
diff -Naur shadow-4.14.5/man/cs/Makefile.am shadow-4.14.5.new/man/cs/Makefile.am
--- shadow-4.14.5/man/cs/Makefile.am	2023-09-25 17:52:15.000000000 +0200
+++ shadow-4.14.5.new/man/cs/Makefile.am	2024-02-16 16:32:50.156713714 +0100
@@ -12,11 +12,8 @@
 	man1/groups.1 \
 	man8/grpck.8 \
 	man5/gshadow.5 \
-	man8/nologin.8 \
 	man5/passwd.5 \
-	man5/shadow.5 \
-	man1/su.1 \
-	man8/vipw.8
+	man5/shadow.5
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
@@ -24,6 +21,5 @@
 
 EXTRA_DIST = $(man_MANS) \
 	man1/id.1 \
-	man8/groupmems.8 \
-	man8/logoutd.8
+	man8/groupmems.8
 
diff -Naur shadow-4.14.5/man/da/Makefile.am shadow-4.14.5.new/man/da/Makefile.am
--- shadow-4.14.5/man/da/Makefile.am	2023-09-25 17:52:15.000000000 +0200
+++ shadow-4.14.5.new/man/da/Makefile.am	2024-02-16 16:32:50.156713714 +0100
@@ -3,16 +3,10 @@
 
 # 2012.01.28 - activate manpages with more than 50% translated messages
 man_MANS = \
-	man1/chfn.1 \
 	man8/groupdel.8 \
 	man1/groups.1 \
 	man5/gshadow.5 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
-	man8/nologin.8 \
-	man1/sg.1 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man1/sg.1
 
 man_nopam = 
 
diff -Naur shadow-4.14.5/man/de/Makefile.am shadow-4.14.5.new/man/de/Makefile.am
--- shadow-4.14.5/man/de/Makefile.am	2023-09-25 17:52:15.000000000 +0200
+++ shadow-4.14.5.new/man/de/Makefile.am	2024-02-16 16:32:50.156713714 +0100
@@ -3,10 +3,8 @@
 
 man_MANS = \
 	man1/chage.1 \
-	man1/chfn.1 \
 	man8/chgpasswd.8 \
 	man8/chpasswd.8 \
-	man1/chsh.1 \
 	man1/expiry.1 \
 	man5/faillog.5 \
 	man8/faillog.8 \
@@ -21,12 +19,8 @@
 	man8/grpconv.8 \
 	man8/grpunconv.8 \
 	man5/gshadow.5 \
-	man1/login.1 \
 	man5/login.defs.5 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
 	man8/newusers.8 \
-	man8/nologin.8 \
 	man1/passwd.1 \
 	man5/passwd.5 \
 	man8/pwck.8 \
@@ -35,13 +29,10 @@
 	man1/sg.1 \
 	man3/shadow.3 \
 	man5/shadow.5 \
-	man1/su.1 \
 	man5/suauth.5 \
 	man8/useradd.8 \
 	man8/userdel.8 \
-	man8/usermod.8 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man8/usermod.8
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
diff -Naur shadow-4.14.5/man/fi/Makefile.am shadow-4.14.5.new/man/fi/Makefile.am
--- shadow-4.14.5/man/fi/Makefile.am	2023-09-25 17:52:15.000000000 +0200
+++ shadow-4.14.5.new/man/fi/Makefile.am	2024-02-16 16:32:50.156713714 +0100
@@ -1,10 +1,7 @@
 
 mandir = @mandir@/fi
 
-man_MANS = \
-	man1/chfn.1 \
-	man1/chsh.1 \
-	man1/su.1
+man_MANS =
 
 # Outdated manpages
 #	passwd.1 (https://bugs.launchpad.net/ubuntu/+bug/384024)
diff -Naur shadow-4.14.5/man/fr/Makefile.am shadow-4.14.5.new/man/fr/Makefile.am
--- shadow-4.14.5/man/fr/Makefile.am	2023-09-25 17:52:15.000000000 +0200
+++ shadow-4.14.5.new/man/fr/Makefile.am	2024-02-16 16:32:50.157713722 +0100
@@ -3,10 +3,8 @@
 
 man_MANS = \
 	man1/chage.1 \
-	man1/chfn.1 \
 	man8/chgpasswd.8 \
 	man8/chpasswd.8 \
-	man1/chsh.1 \
 	man1/expiry.1 \
 	man5/faillog.5 \
 	man8/faillog.8 \
@@ -21,12 +19,8 @@
 	man8/grpconv.8 \
 	man8/grpunconv.8 \
 	man5/gshadow.5 \
-	man1/login.1 \
 	man5/login.defs.5 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
 	man8/newusers.8 \
-	man8/nologin.8 \
 	man1/passwd.1 \
 	man5/passwd.5 \
 	man8/pwck.8 \
@@ -35,13 +29,10 @@
 	man1/sg.1 \
 	man3/shadow.3 \
 	man5/shadow.5 \
-	man1/su.1 \
 	man5/suauth.5 \
 	man8/useradd.8 \
 	man8/userdel.8 \
-	man8/usermod.8 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man8/usermod.8
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
diff -Naur shadow-4.14.5/man/hu/Makefile.am shadow-4.14.5.new/man/hu/Makefile.am
--- shadow-4.14.5/man/hu/Makefile.am	2023-09-25 17:52:15.000000000 +0200
+++ shadow-4.14.5.new/man/hu/Makefile.am	2024-02-16 16:32:50.157713722 +0100
@@ -2,15 +2,11 @@
 mandir = @mandir@/hu
 
 man_MANS = \
-	man1/chsh.1 \
 	man1/gpasswd.1 \
 	man1/groups.1 \
-	man1/login.1 \
-	man1/newgrp.1 \
 	man1/passwd.1 \
 	man5/passwd.5 \
-	man1/sg.1 \
-	man1/su.1
+	man1/sg.1
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
diff -Naur shadow-4.14.5/man/id/Makefile.am shadow-4.14.5.new/man/id/Makefile.am
--- shadow-4.14.5/man/id/Makefile.am	2023-09-25 17:52:15.000000000 +0200
+++ shadow-4.14.5.new/man/id/Makefile.am	2024-02-16 16:32:50.157713722 +0100
@@ -2,8 +2,6 @@
 mandir = @mandir@/id
 
 man_MANS = \
-	man1/chsh.1 \
-	man1/login.1 \
 	man8/useradd.8
 
 EXTRA_DIST = $(man_MANS)
diff -Naur shadow-4.14.5/man/it/Makefile.am shadow-4.14.5.new/man/it/Makefile.am
--- shadow-4.14.5/man/it/Makefile.am	2023-09-25 17:52:15.000000000 +0200
+++ shadow-4.14.5.new/man/it/Makefile.am	2024-02-16 16:32:50.157713722 +0100
@@ -3,10 +3,8 @@
 
 man_MANS = \
 	man1/chage.1 \
-	man1/chfn.1 \
 	man8/chgpasswd.8 \
 	man8/chpasswd.8 \
-	man1/chsh.1 \
 	man1/expiry.1 \
 	man5/faillog.5 \
 	man8/faillog.8 \
@@ -21,12 +19,8 @@
 	man8/grpconv.8 \
 	man8/grpunconv.8 \
 	man5/gshadow.5 \
-	man1/login.1 \
 	man5/login.defs.5 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
 	man8/newusers.8 \
-	man8/nologin.8 \
 	man1/passwd.1 \
 	man5/passwd.5 \
 	man8/pwck.8 \
@@ -35,13 +29,10 @@
 	man1/sg.1 \
 	man3/shadow.3 \
 	man5/shadow.5 \
-	man1/su.1 \
 	man5/suauth.5 \
 	man8/useradd.8 \
 	man8/userdel.8 \
-	man8/usermod.8 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man8/usermod.8
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
diff -Naur shadow-4.14.5/man/ja/Makefile.am shadow-4.14.5.new/man/ja/Makefile.am
--- shadow-4.14.5/man/ja/Makefile.am	2023-09-25 17:52:15.000000000 +0200
+++ shadow-4.14.5.new/man/ja/Makefile.am	2024-02-16 16:32:50.157713722 +0100
@@ -3,9 +3,7 @@
 
 man_MANS = \
 	man1/chage.1 \
-	man1/chfn.1 \
 	man8/chpasswd.8 \
-	man1/chsh.1 \
 	man1/expiry.1 \
 	man5/faillog.5 \
 	man8/faillog.8 \
@@ -17,10 +15,7 @@
 	man8/grpck.8 \
 	man8/grpconv.8 \
 	man8/grpunconv.8 \
-	man1/login.1 \
 	man5/login.defs.5 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
 	man8/newusers.8 \
 	man1/passwd.1 \
 	man5/passwd.5 \
@@ -29,13 +24,10 @@
 	man8/pwunconv.8 \
 	man1/sg.1 \
 	man5/shadow.5 \
-	man1/su.1 \
 	man5/suauth.5 \
 	man8/useradd.8 \
 	man8/userdel.8 \
-	man8/usermod.8 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man8/usermod.8
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
diff -Naur shadow-4.14.5/man/ko/Makefile.am shadow-4.14.5.new/man/ko/Makefile.am
--- shadow-4.14.5/man/ko/Makefile.am	2023-09-25 17:52:15.000000000 +0200
+++ shadow-4.14.5.new/man/ko/Makefile.am	2024-02-16 16:32:50.157713722 +0100
@@ -2,14 +2,8 @@
 mandir = @mandir@/ko
 
 man_MANS = \
-	man1/chfn.1 \
-	man1/chsh.1 \
 	man1/groups.1 \
-	man1/login.1 \
-	man5/passwd.5 \
-	man1/su.1 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man5/passwd.5
 # newgrp.1 must be updated
 #	newgrp.1
 
diff -Naur shadow-4.14.5/man/Makefile.am shadow-4.14.5.new/man/Makefile.am
--- shadow-4.14.5/man/Makefile.am	2023-09-25 17:52:15.000000000 +0200
+++ shadow-4.14.5.new/man/Makefile.am	2024-02-16 16:32:50.156713714 +0100
@@ -8,10 +8,8 @@
 
 man_MANS = \
 	man1/chage.1 \
-	man1/chfn.1 \
 	man8/chgpasswd.8 \
 	man8/chpasswd.8 \
-	man1/chsh.1 \
 	man1/expiry.1 \
 	man5/faillog.5 \
 	man8/faillog.8 \
@@ -26,12 +24,9 @@
 	man8/grpconv.8 \
 	man8/grpunconv.8 \
 	man5/gshadow.5 \
-	man1/login.1 \
+	man8/lastlog.8 \
 	man5/login.defs.5 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
 	man8/newusers.8 \
-	man8/nologin.8 \
 	man1/passwd.1 \
 	man5/passwd.5 \
 	man8/pwck.8 \
@@ -43,9 +38,7 @@
 	man5/suauth.5 \
 	man8/useradd.8 \
 	man8/userdel.8 \
-	man8/usermod.8 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man8/usermod.8
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
@@ -77,10 +70,8 @@
 
 man_XMANS = \
 	chage.1.xml \
-	chfn.1.xml \
 	chgpasswd.8.xml \
 	chpasswd.8.xml \
-	chsh.1.xml \
 	expiry.1.xml \
 	faillog.5.xml \
 	faillog.8.xml \
@@ -94,12 +85,9 @@
 	grpck.8.xml \
 	gshadow.5.xml \
 	limits.5.xml \
-	login.1.xml \
 	login.access.5.xml \
 	login.defs.5.xml \
-	logoutd.8.xml \
 	newgidmap.1.xml \
-	newgrp.1.xml \
 	newuidmap.1.xml \
 	newusers.8.xml \
 	nologin.8.xml \
@@ -111,14 +99,12 @@
 	shadow.3.xml \
 	shadow.5.xml \
 	sg.1.xml \
-	su.1.xml \
 	suauth.5.xml \
 	subgid.5.xml \
 	subuid.5.xml \
 	useradd.8.xml \
 	userdel.8.xml \
-	usermod.8.xml \
-	vipw.8.xml
+	usermod.8.xml
 
 if ENABLE_LASTLOG
 man_XMANS += lastlog.8.xml
diff -Naur shadow-4.14.5/man/pl/Makefile.am shadow-4.14.5.new/man/pl/Makefile.am
--- shadow-4.14.5/man/pl/Makefile.am	2023-09-25 17:52:15.000000000 +0200
+++ shadow-4.14.5.new/man/pl/Makefile.am	2024-02-16 16:32:50.158713730 +0100
@@ -4,7 +4,6 @@
 # 2012.01.28 - activate manpages with more than 50% translated messages
 man_MANS = \
 	man1/chage.1 \
-	man1/chsh.1 \
 	man1/expiry.1 \
 	man5/faillog.5 \
 	man8/faillog.8 \
@@ -15,14 +14,10 @@
 	man8/groupmod.8 \
 	man1/groups.1 \
 	man8/grpck.8 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
 	man1/sg.1 \
 	man3/shadow.3 \
 	man8/userdel.8 \
-	man8/usermod.8 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man8/usermod.8
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
diff -Naur shadow-4.14.5/man/ru/Makefile.am shadow-4.14.5.new/man/ru/Makefile.am
--- shadow-4.14.5/man/ru/Makefile.am	2023-09-25 17:52:15.000000000 +0200
+++ shadow-4.14.5.new/man/ru/Makefile.am	2024-02-16 16:32:50.158713730 +0100
@@ -3,10 +3,8 @@
 
 man_MANS = \
 	man1/chage.1 \
-	man1/chfn.1 \
 	man8/chgpasswd.8 \
 	man8/chpasswd.8 \
-	man1/chsh.1 \
 	man1/expiry.1 \
 	man5/faillog.5 \
 	man8/faillog.8 \
@@ -21,12 +19,8 @@
 	man8/grpconv.8 \
 	man8/grpunconv.8 \
 	man5/gshadow.5 \
-	man1/login.1 \
 	man5/login.defs.5 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
 	man8/newusers.8 \
-	man8/nologin.8 \
 	man1/passwd.1 \
 	man5/passwd.5 \
 	man8/pwck.8 \
@@ -35,13 +29,10 @@
 	man1/sg.1 \
 	man3/shadow.3 \
 	man5/shadow.5 \
-	man1/su.1 \
 	man5/suauth.5 \
 	man8/useradd.8 \
 	man8/userdel.8 \
-	man8/usermod.8 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man8/usermod.8
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
diff -Naur shadow-4.14.5/man/sv/Makefile.am shadow-4.14.5.new/man/sv/Makefile.am
--- shadow-4.14.5/man/sv/Makefile.am	2023-09-25 17:52:15.000000000 +0200
+++ shadow-4.14.5.new/man/sv/Makefile.am	2024-02-16 16:32:50.158713730 +0100
@@ -3,7 +3,6 @@
 # 2012.01.28 - activate manpages with more than 50% translated messages
 man_MANS = \
 	man1/chage.1 \
-	man1/chsh.1 \
 	man1/expiry.1 \
 	man5/faillog.5 \
 	man8/faillog.8 \
@@ -15,18 +14,13 @@
 	man1/groups.1 \
 	man8/grpck.8 \
 	man5/gshadow.5 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
-	man8/nologin.8 \
 	man1/passwd.1 \
 	man5/passwd.5 \
 	man8/pwck.8 \
 	man1/sg.1 \
 	man3/shadow.3 \
 	man5/suauth.5 \
-	man8/userdel.8 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man8/userdel.8
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
diff -Naur shadow-4.14.5/man/tr/Makefile.am shadow-4.14.5.new/man/tr/Makefile.am
--- shadow-4.14.5/man/tr/Makefile.am	2023-09-25 17:52:15.000000000 +0200
+++ shadow-4.14.5.new/man/tr/Makefile.am	2024-02-16 16:32:50.158713730 +0100
@@ -2,15 +2,12 @@
 
 man_MANS = \
 	man1/chage.1 \
-	man1/chfn.1 \
 	man8/groupadd.8 \
 	man8/groupdel.8 \
 	man8/groupmod.8 \
-	man1/login.1 \
 	man1/passwd.1 \
 	man5/passwd.5 \
 	man5/shadow.5 \
-	man1/su.1 \
 	man8/useradd.8 \
 	man8/userdel.8 \
 	man8/usermod.8
diff -Naur shadow-4.14.5/man/uk/Makefile.am shadow-4.14.5.new/man/uk/Makefile.am
--- shadow-4.14.5/man/uk/Makefile.am	2023-09-25 17:52:15.000000000 +0200
+++ shadow-4.14.5.new/man/uk/Makefile.am	2024-02-16 16:32:50.158713730 +0100
@@ -3,10 +3,8 @@
 
 man_MANS = \
 	man1/chage.1 \
-	man1/chfn.1 \
 	man8/chgpasswd.8 \
 	man8/chpasswd.8 \
-	man1/chsh.1 \
 	man1/expiry.1 \
 	man5/faillog.5 \
 	man8/faillog.8 \
@@ -21,12 +19,8 @@
 	man8/grpconv.8 \
 	man8/grpunconv.8 \
 	man5/gshadow.5 \
-	man1/login.1 \
 	man5/login.defs.5 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
 	man8/newusers.8 \
-	man8/nologin.8 \
 	man1/passwd.1 \
 	man5/passwd.5 \
 	man8/pwck.8 \
@@ -35,13 +29,10 @@
 	man1/sg.1 \
 	man3/shadow.3 \
 	man5/shadow.5 \
-	man1/su.1 \
 	man5/suauth.5 \
 	man8/useradd.8 \
 	man8/userdel.8 \
-	man8/usermod.8 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man8/usermod.8
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
diff -Naur shadow-4.14.5/man/zh_CN/Makefile.am shadow-4.14.5.new/man/zh_CN/Makefile.am
--- shadow-4.14.5/man/zh_CN/Makefile.am	2023-09-25 17:52:15.000000000 +0200
+++ shadow-4.14.5.new/man/zh_CN/Makefile.am	2024-02-16 16:32:50.158713730 +0100
@@ -3,10 +3,8 @@
 
 man_MANS = \
 	man1/chage.1 \
-	man1/chfn.1 \
 	man8/chgpasswd.8 \
 	man8/chpasswd.8 \
-	man1/chsh.1 \
 	man1/expiry.1 \
 	man5/faillog.5 \
 	man8/faillog.8 \
@@ -21,12 +19,8 @@
 	man8/grpconv.8 \
 	man8/grpunconv.8 \
 	man5/gshadow.5 \
-	man1/login.1 \
 	man5/login.defs.5 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
 	man8/newusers.8 \
-	man8/nologin.8 \
 	man1/passwd.1 \
 	man5/passwd.5 \
 	man8/pwck.8 \
@@ -35,13 +29,10 @@
 	man1/sg.1 \
 	man3/shadow.3 \
 	man5/shadow.5 \
-	man1/su.1 \
 	man5/suauth.5 \
 	man8/useradd.8 \
 	man8/userdel.8 \
-	man8/usermod.8 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man8/usermod.8
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
diff -Naur shadow-4.14.5/man/zh_TW/Makefile.am shadow-4.14.5.new/man/zh_TW/Makefile.am
--- shadow-4.14.5/man/zh_TW/Makefile.am	2023-09-25 17:52:15.000000000 +0200
+++ shadow-4.14.5.new/man/zh_TW/Makefile.am	2024-02-16 16:32:50.158713730 +0100
@@ -2,15 +2,11 @@
 mandir = @mandir@/zh_TW
 
 man_MANS = \
-	man1/chfn.1 \
-	man1/chsh.1 \
 	man8/chpasswd.8 \
-	man1/newgrp.1 \
 	man8/groupadd.8 \
 	man8/groupdel.8 \
 	man8/groupmod.8 \
 	man5/passwd.5 \
-	man1/su.1 \
 	man8/useradd.8 \
 	man8/userdel.8 \
 	man8/usermod.8
diff -Naur shadow-4.14.5/src/Makefile.am shadow-4.14.5.new/src/Makefile.am
--- shadow-4.14.5/src/Makefile.am	2023-09-25 17:52:15.000000000 +0200
+++ shadow-4.14.5.new/src/Makefile.am	2024-02-16 16:32:50.159713738 +0100
@@ -3,7 +3,7 @@
 	.indent.pro
 
 ubindir = ${prefix}/bin
-usbindir = ${prefix}/sbin
+usbindir = ${prefix}/bin
 suidperms = 4755
 sgidperms = 2755
 
@@ -26,9 +26,9 @@
 # and installation would be much simpler (just two directories,
 # $prefix/bin and $prefix/sbin, no install-data hacks...)
 
-bin_PROGRAMS   = groups login
-sbin_PROGRAMS  = nologin
-ubin_PROGRAMS  = faillog chage chfn chsh expiry gpasswd newgrp passwd
+bin_PROGRAMS   = groups
+sbin_PROGRAMS  =
+ubin_PROGRAMS  = faillog lastlog chage expiry gpasswd newgrp passwd
 if ENABLE_SUBIDS
 ubin_PROGRAMS += newgidmap newuidmap
 endif
@@ -48,22 +48,20 @@
 	grpck \
 	grpconv \
 	grpunconv \
-	logoutd \
 	newusers \
 	pwck \
 	pwconv \
 	pwunconv \
 	useradd \
 	userdel \
-	usermod \
-	vipw
+	usermod
 
 # id and groups are from gnu, sulogin from sysvinit
 noinst_PROGRAMS = id sulogin
 
 suidusbins     =
 suidbins       =
-suidubins      = chage chfn chsh expiry gpasswd newgrp
+suidubins      = chage expiry gpasswd newgrp
 if WITH_SU
 suidbins      += su
 endif
@@ -135,18 +133,16 @@
 useradd_LDADD  = $(LDADD) $(LIBPAM_SUID) $(LIBAUDIT) $(LIBSELINUX) $(LIBSEMANAGE) $(LIBACL) $(LIBATTR) $(LIBECONF) -ldl
 userdel_LDADD  = $(LDADD) $(LIBPAM_SUID) $(LIBAUDIT) $(LIBSELINUX) $(LIBSEMANAGE) $(LIBECONF) -ldl
 usermod_LDADD  = $(LDADD) $(LIBPAM_SUID) $(LIBAUDIT) $(LIBSELINUX) $(LIBSEMANAGE) $(LIBACL) $(LIBATTR) $(LIBECONF) -ldl
-vipw_LDADD     = $(LDADD) $(LIBAUDIT) $(LIBSELINUX) $(LIBECONF)
 
 install-am: all-am
 	$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
-	ln -sf newgrp	$(DESTDIR)$(ubindir)/sg
-	ln -sf vipw	$(DESTDIR)$(usbindir)/vigr
 	set -e; for i in $(suidbins); do \
 		chmod $(suidperms) $(DESTDIR)$(bindir)/$$i; \
 	done
 	set -e; for i in $(suidubins); do \
 		chmod $(suidperms) $(DESTDIR)$(ubindir)/$$i; \
 	done
+	mv -v $(DESTDIR)$(ubindir)/newgrp	$(DESTDIR)$(ubindir)/sg
 	set -e; for i in $(suidusbins); do \
 		chmod $(suidperms) $(DESTDIR)$(usbindir)/$$i; \
 	done
